.navbar-dark .navbar-nav .nav-link, 
.navbar-dark .navbar-nav .nav-link:focus, 
.navbar-dark .navbar-nav .nav-link:hover, 
.navbar-dark .navbar-nav .nav-link.active {
    padding: 10px 10px 8px 0px;
    color: #ffffff;
}

.single .page-header {
    margin-bottom: 0px!important;
}

.upcheg_feature.feature .col-md-12:nth-child(2n),
.upcheg_feature.feature .col-md-12:nth-child(3n) {
    color: #c097f8;
    background: #000;
}

.upcheg_feature.feature .feature-item {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    min-height: 270px;
    padding: 10px;
}

.upcheg_feature.feature .col-md-12 {
    color: #000;
    background: #c097f8;
}

.upcheg_feature.feature .feature-text .h3, 
.upcheg_feature.feature .feature-text p {
    color: #000;
}

.upcheg_feature.feature .col-md-12 .feature-text.upcheg_purple p {
    color: #c097f8!important;
}

.service .service-img img,
.gen-text-new.gen-list img, 
.single .single-content img,
.blog .blog-img img {
    width: 100%;
    height: 100%;
}

.gen-text-new.gen-list div img,
.gen-text-new.gen-list span img,
.gen-text-new.gen-list p img {
	width: auto;
}

.contact .contact-text .h2, 
.contact .contact-text h2 {
    display: block;
}

.contact-item a {
	color: #fff;
}

.header-social {
    display: flex;
    justify-content: center;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
}

.top-bar .top-bar-text .header-social a {
	margin: 0 5px;
    font-size: 21px;
}

.fact-text-counter {
    display: flex;
    align-items: center;
    font-size: 35px;
    font-weight: 700;
}

.header_telegram_link {
    font-size: 30px;
    margin-left: 15px;
}

body .top-bar .top-bar-item {
    display: flex;
    align-items: center;
    justify-content: center;
}

.video video {
	width: 100%;
}

.template_rent iframe {
	height: 100%;
	width: 100%;
}

.footer .newsletter input,
.searchform input {
    border: 2px solid #c097f8;	
}

.searchform input,
.upcheg_footer_form form.wpcf7-form input {
	color: #c097f8;
	background: #fff;
}


.upcheg_footer_form form.wpcf7-form input,
.nav-bar .searchform input {
	color: #fff;
	background: #000;
	border: 2px solid #fff;
}

.nav-bar #mbtn .btn {
	background: #c097f8;
	border: 2px solid #c097f8;
}

.upcheg_footer_form form.wpcf7-form input.wpcf7-submit {
	color: #fff;
	background: #c097f8;
}

.upcheg_footer_conact {
	display: flex;
    flex-direction: column;
}

.top-bar .top-bar-text a {
    margin: 0;
    color: #000000;
    font-size: 13px;
    font-weight: 400;
}

.seo_text_block a:hover,
.upcheg_header_lang a:hover,
.top-bar .top-bar-text a:hover,
.upcheg_footer_conact a:hover {
    color: #3cfbe0;
    letter-spacing: 1px;
}

.upcheg_footer_conact a {
    display: block;
    margin-bottom: 10px;
    color: #ffffff;
    transition: .3s;
}

.upcheg_footer_conact a i {
    width: 25px;
}

.area_404 .section-header.text-center {
	display: none;
}

.footer .copyright p.color_violet,
.color_violet {
	color: #c097f8;
}

.footer .copyright p.color_violet {
    font-weight: 600;
}

.footer .newsletter .btn,
.about .about-text a.btn {
	background: #3cfbe0;
}

.footer .newsletter .btn:hover,
.about .about-text a.btn:hover {
	background: #c097f8;
}

.footer .newsletter .btn {
	color: #000;
	border: unset;
}

.copyright_links {
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    flex-direction: column;
    font-size: 12px;
}

.copyright_links a {
	color: #fff;
	margin: 0 5px;
}

.copyright_links a:hover {
	color: #3cfbe0;
}


.feature .feature-item .feature-icon::after,
.feature .feature-item .feature-icon::before {
	display: none;
}

.feature .feature-item .feature-icon circle,
.feature .feature-item .feature-icon path {
	fill: #3cfbe0;
}
.feature .feature-item .feature-icon.svg_no_fill path {
	fill: none;
	stroke: #3cfbe0;
}

.feature .feature-item .feature-icon svg {
	width: 70px;
}

.feature .feature-item .feature-icon line,
.feature .feature-item .feature-icon rect {
	stroke: #3cfbe0;
}


.slideInLeft .fact-icon svg {
	fill: #c097f8;
}

.upcheg_header_lang {
	margin-left: 10px;
}

.upcheg_header_lang a {
	text-transform: uppercase;
	color: #fff;
}

.upcheg_thb_breadcrumbs ul {
	display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: row;
	list-style-type: none;
    padding: 0;
}

.upcheg_thb_breadcrumbs ul li a,
.upcheg_thb_breadcrumbs ul li span {
	font-size: 16px;
}

.upcheg_thb_breadcrumbs ul li.trail-item.trail-begin a {
    padding-left: 0px;
}

.upcheg_thb_breadcrumbs ul li.trail-item.trail-end .breadcrumbs_seperator {
    padding-right: 12px;
}

.upcheg_thb_breadcrumbs li.trail-item.trail-begin .breadcrumbs_seperator {
	display: none;
}

.service .service-img,
.blog .blog-img {
	max-height: 180px;
}

.gen-text-new.gen-list img,
.single .single-content img {
    float: left;
    max-width: 250px;
    margin: 0 1rem 0px 0px;
}

form.wpcf7-form span.wpcf7-form-control-wrap {
    display: flex;
    flex-direction: column;
}

.modal .wpcf7 div,
.modal .wpcf7 li,
.modal .wpcf7 label {
    color: #000;
}

.wpcf7 div,
.wpcf7 li,
.wpcf7 label {
    color: #ffffff;
}

.wpcf7 label {
    width: 100%;
}

.wpcf7 p {
    margin: 0px;
}

.contact .contact-form .wpcf7 textarea {
    color: #ffffff;
    height: 155px;
    border-radius: 0;
    border-width: 1px;
    border-color: rgba(256, 256, 256, .4);
    background: transparent;
}

form.wpcf7-form .wpcf7-submit {
    font-size: 16px;
    font-weight: 600;
    color: #c097f8;
    background: #000000;
    border: none;
    border-radius: 0;
    transition: .3s;
}

form.wpcf7-form input {
    color: #ffffff;
    height: 40px;
    border-radius: 0;
    border-width: 1px;
    border-color: rgba(256, 256, 256, .4);
    background: transparent;
	border: 1px solid #ced4da;
}

.modal form.wpcf7-form input {
    color: #c097f8;
}

div.video {
    position: relative;
    margin: 45px 0;
    height: 100%;
    min-height: 500px;
    background: linear-gradient(rgba(3, 15, 39, .9), rgba(3, 15, 39, .9)), url(../img/background_mp4.png);
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.gen-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap;
}

.gen-btn a {
    display: flex;
    width: max-content;
    padding: 15px 35px;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 1px;
    color: #3cfbe0;
    border-radius: 0;
    background: #c097f8;
    transition: .3s;
    margin: 20px;
}

.seo_text_block a,
.active_lang a,
.gen-text-new.gen-list a {
    font-weight: 500;
    color: #c097f8;
}

body.single {
    position: relative;
    padding: 0;
}

.icon_svg svg path {
    fill: #fff;
}

.icon_svg:hover svg path {
    fill: #000;
}

.animate-top{
    position:relative;
    animation:animatetop 0.4s
}
@keyframes animatetop{
    from{top:-300px;opacity:0} 
    to{top:0;opacity:1}
}
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.275);
  z-index: 99999;
}

.modal-content {
  margin: 5% auto;
  width: 500px;
  max-width: 90%;
  background-color: #fff;
  border: 1px solid rgba(0, 0, 0, 0.175);
  border-radius: .3rem;
  outline: 0;
}
.modal-header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 1rem;
    border-bottom: 1px solid #e9ecef;
    border-top-left-radius: .3rem;
    border-top-right-radius: .3rem;
}
.modal-title {
    margin-bottom: 0;
    line-height: 1.5;
    margin-top: 0;
    font-size: 1.25rem;
}

.modal-body {
    flex: 1 1 auto;
    padding: 1rem;
}
.modal-body p {
    margin-top: 0;
    margin-bottom: 1rem;
}
.modal-footer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    padding: 1rem;
    border-top: 1px solid #e9ecef;
}
.modal-footer>*{
    margin: 5px;
}

.modal button.close,
.btn {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    cursor: pointer;
}

.service-text, .service-img,
.blog-title, .blog-img {
    cursor: pointer;
}

button.search-submit {
    color: #ffffff;
    border: 2px solid #ffffff;
    border-radius: 0;
    background: black;
}

.btn:focus, .btn:hover {
    text-decoration: none;
}

button.btn.btn-primary.close,
.btn-primary {
    color: #3cfbe0;
    background-color: #c097f8;
    border-color: #3cfbe0;
	cursor: pointer;
	opacity: 1;
}
button.btn.btn-primary.close:hover,
.btn-primary:hover {
    color: #000;
    background-color: #3cfbe0;
    border-color: #c097f8;
    cursor: pointer;
}
.btn-secondary {
    color: #3cfbe0;
    background-color: #c097f8;
    border-color: #3cfbe0;
}
.btn-secondary:hover {
    color: #000;
    background-color: #3cfbe0;
    border-color: #c097f8;
}

.btn-primary:not(:disabled):not(.disabled).active, 
.btn-primary:not(:disabled):not(.disabled):active, 
.show > .btn-primary.dropdown-toggle {
    color: #000;
    background-color: #c097f8;
    border-color: #c097f8;
}

.parts_buttons .row {
	justify-content: center;
}

.parts_buttons .row .col-lg-4 {
	max-width: max-content;
}

.block_price img {
	width: 100%;
	height: 100%;
}

.contact-text i.fab.fa-telegram {
    font-size: 24px;
}

.pc_hide {
	display: none;
}

.block_calc_input .row {
	justify-content: center;
}

.block_calculator .row .block_rent,
.block_materials .row .block_material {
	flex: 0 0 100%;
    max-width: 100%;
}

.block_calculator .row,
.block_materials .row {
    display: flex;
    flex-direction: column;
    max-width: 350px;
    max-height: 230px;
    overflow: auto;
    flex-wrap: nowrap;
    border: 3px solid #c097f8;
    padding: 10px 0;
}

.block_calculator .container,
.block_materials .container {
    max-width: 350px;
	margin: 0;
}

section.section_calulator .select_material > div,
section.section_calulator .select_rent > div {
    border: 3px solid #3cfbe0;
}

section.section_calulator .calc_result span {
	display: block;
    font-size: 20px;
    font-weight: 700;
    text-align: center;
    margin: 25px 0;
    color: #c097f8;
    background: #000;
    padding: 20px;
}

section.section_calulator {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}

section.section_calulator .service .service-text {
	height: 35px;
}

section.section_calulator .service .service-item {
	margin-bottom: 10px;
}

section.section_calulator div.service {
	display: flex;
    justify-content: center;
	position: unset;
}

section.section_calulator .calc_input {
    display: flex;
    flex-direction: column;
	align-items: center;
	width: 100%;
	max-width: 300px;
}

section.section_calulator .calc_input input::placeholder {
	color: #3cfbe0;
}

section.section_calulator .calc_input input {
	width: 250px;
	height: 50px;
	color: #3cfbe0;
    background: #000;
	border: 3px solid #c097f8;
}

section.section_calulator .section-header {
    margin-bottom: 15px;
}

section.section_calulator .section-header .h2 {
    font-size: 24px;
}

section.section_calulator .service .service-item a.btn {
	font-size:30px;
}

section.section_calulator button.search-submit {
    color: #000;
    border: 2px solid #ffffff;
    border-radius: 0;
    background: #3cfbe0;
    padding: 10px;
    font-size: 21px;
    font-weight: 600;
	margin-top: 25px;
}

.upcheg_table_scroll,
.block_calculator .row, 
.block_materials .row {
	scrollbar-color: #ffffff #3cfbe0;    
}

.upcheg_table_scroll {
	overflow: auto;
	margin-bottom: 25px;
	border: 5px solid #c097f8;
}

.upcheg_table_scroll .price_change {
	display: flex;
	align-items: center;
	margin-top: 10px
}

.upcheg_table_scroll .price_change input {
	width: 60px;
	margin-left: 10px;
}

.upcheg_table_scroll .td_input {
	display: flex;
	flex-direction: column;
	width: 140px;
	margin: 5px;
	font-size: 14px;
}

.upcheg_table_scroll table {
	font-family: arial, sans-serif;
	border-collapse: collapse;
	width: 100%;
}

.upcheg_table_scroll table thead th {
	text-align: center;
}

.upcheg_table_scroll td, .upcheg_table_scroll th {
	border: 1px solid #dddddd;
	text-align: center;
	padding: 8px;
}

.upcheg_table_scroll tr:nth-child(even) {
	background-color: #dddddd;
}

.upcheg_table {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: center;
}

.upcheg_table th.materials {
    height: 90px;	
}

.upcheg_table th.materials, 
.upcheg_table td.materials {
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    background-color: #c097f8;
    color: #fff;
    position: sticky;
    left: 0;
    width: 130px;
}

.upcheg_table_scroll table thead th span {
    display: block;
    width: 120px;
}


#upcheg_map {
	height: 500px;
	width: 100%;
}

.upcheg_property {
	align-items: center;
	background-color: #FFFFFF;
	border-radius: 50%;
	color: #263238;
	display: flex;
	font-size: 14px;
	gap: 15px;
	height: 30px;
	justify-content: center;
	padding: 4px;
	position: relative;
	transition: all 0.3s ease-out;
	width: 30px;
}

.upcheg_property::after {
	border-left: 9px solid transparent;
	border-right: 9px solid transparent;
	border-top: 9px solid #FFFFFF;
	content: "";
	height: 0;
	left: 50%;
	position: absolute;
	top: 95%;
	transform: translate(-50%, 0);
	transition: all 0.3s ease-out;
	width: 0;
	z-index: 1;
}

.upcheg_property .icon {
	align-items: center;
	display: flex;
	justify-content: center;
	color: #FFFFFF;
}

.upcheg_property .icon svg {
	height: 20px;
	width: auto;
}

.upcheg_property .details {
	display: none;
	flex-direction: column;
	flex: 1;
}

.upcheg_property .address {
	color: #9E9E9E;
	font-size: 10px;
	margin-bottom: 10px;
	margin-top: 5px;
}

.upcheg_property .features {
	align-items: flex-end;
	display: flex;
	flex-direction: row;
	gap: 10px;
}

.upcheg_property .features > div {
	align-items: center;
	background: #F5F5F5;
	border-radius: 5px;
	border: 1px solid #ccc;
	display: flex;
	font-size: 10px;
	gap: 5px;
	padding: 5px;
}

.upcheg_property.highlight {
	background-color: #FFFFFF;
	border-radius: 8px;
	box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.2);
	height: 100%;
	padding: 8px 15px;
	width: auto;
}

.upcheg_property.highlight::after {
	display: none;
	border-top: 9px solid #FFFFFF;
}

.upcheg_property.highlight .details {
	display: flex;
}

.upcheg_property.highlight .icon svg {
	width: 50px;
	height: 50px;
}

.upcheg_property .bed {
	color: #FFA000;
}

.upcheg_property .bath {
	color: #03A9F4;
}

.upcheg_property .size {
	color: #388E3C;
}

.upcheg_property.highlight:has(.fa-house) .icon {
	color: var(--house-color);
}

.upcheg_property:not(.highlight):has(.fa-house) {
	background-color: var(--house-color);
}

.upcheg_property:not(.highlight):has(.fa-house)::after {
  border-top: 9px solid var(--house-color);
}

.upcheg_property.highlight:has(.fa-building) .icon {
	color: var(--building-color);
}

.upcheg_property:not(.highlight):has(.fa-building) {
	background-color: var(--building-color);
}

.upcheg_property:not(.highlight):has(.fa-building)::after {
	border-top: 9px solid var(--building-color);
}

.upcheg_property.highlight:has(.fa-warehouse) .icon {
	color: var(--warehouse-color);
}

.upcheg_property:not(.highlight):has(.fa-warehouse) {
	background-color: var(--warehouse-color);
}

.upcheg_property:not(.highlight):has(.fa-warehouse)::after {
	border-top: 9px solid var(--warehouse-color);
}

.upcheg_property.highlight:has(.fa-shop) .icon {
	color: var(--shop-color);
}

.upcheg_property:not(.highlight):has(.fa-shop) {
	background-color: var(--shop-color);
}

.upcheg_property:not(.highlight):has(.fa-shop)::after {
  border-top: 9px solid var(--shop-color);
}

.upcheg_property div.details i {
    margin-right: 5px;
}

.upcheg_property div.details i.fa.fa-phone {
    color: #39fbe1;
}

.upcheg_property div.details i.fa.fa-window-close.fa-lg.close {
    color: #ff0000;
}

.upcheg_property div.details a:hover, 
.upcheg_property div.details a:active, 
.upcheg_property div.details a:focus {
    color: #666666;
}

.parts_buttons .section-header {
	margin-bottom: 15px;
}

@media (max-width: 1100px) {
	section.section_calulator {
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;
		justify-content: center;
	}
	.block_calculator .container, .block_materials .container, 
	.block_calculator .row, .block_materials .row {
		max-width: 100%;
		padding: 0;
		margin: 20px;
	}
	section.section_calulator div.service {
		max-width: 300px;
		padding: 0;
	}
}

@media (max-width: 992px) {
	.navbar-nav {
		align-items: center;
	}
}

@media (max-width: 767.98px) {
	.upcheg_property.highlight .details,
	.upcheg_property.highlight .features,
	.upcheg_property.highlight {
		display: flex;
		flex-direction: column;
		align-items: center;
	}
	.upcheg_property.highlight {
		top: 120px;
	}
	.upcheg_property .details {
		max-width: 130px;
	}
	.upcheg_property .features > div {
		width: 100%;
		justify-content: left;
	}
	section.section_calulator div.service {
		max-width: 400px;
	}
	div.video {
		min-height: 213px;
	}
	.mobile_hide {
		display: none;
	}
	.header_mobile_block {
		display: flex;
		align-items: center;
		justify-content: center;
		flex-direction: row;
		flex-wrap: nowrap;
	}
	.header_mobile_block.mobile_contacts {
		display: flex;
		align-items: center;
		justify-content: center;
		flex-direction: row;
		flex-wrap: nowrap;
		margin-top: 15px;
	}
	.header_mobile_block.mobile_contacts a {
		color: #fff;
		font-size: 18px;
		margin: 0 10px;
	}
	.header_mobile_block.mobile_contacts .footer-social a {
		font-size: 24px;
	}
	.header_mobile_block .language-switcher__options-item {
		font-size: 14px;
	}
}